/***********************************************************************/
/*                                                                     */
/*                         Caml Special Light                          */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1995 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* strofaddr.c,v 1.2 1995/08/09 15:03:25 xleroy Exp */

#include <mlvalues.h>
#include <alloc.h>
#include "unix.h"

#ifdef HAS_SOCKETS

#include "socketaddr.h"

extern char * inet_ntoa();

value unix_string_of_inet_addr(a) /* ML */
     value a;
{
  struct in_addr address;
  address.s_addr = GET_INET_ADDR(a);
  return copy_string(inet_ntoa(address));
}

#else

value unix_string_of_inet_addr()
{ invalid_argument("string_of_inet_addr not implemented"); }

#endif
